Factunexo Docs
API RESTReferenciaBillingLiquidaciones de Compra

Obtener liquidación de compra por ID

GET
/api/v1/billing/purchase-settlements/{id}

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/api/v1/billing/purchase-settlements/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "requestId": "string",  "timestamp": "string",  "data": {    "purchaseSettlementId": "f9ba65b1-288a-4d49-9055-805148bfa601",    "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",    "sequential": "string",    "emissionDate": "2019-08-24",    "status": "SAVED",    "authorizationNumber": "string",    "authorizationDate": "2019-08-24T14:15:22Z",    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "providerTaxpayerName": "string",    "providerIdentification": "string",    "totalWithoutTaxes": 0,    "totalDiscount": 0,    "total": 0,    "lines": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "code": "string",        "extraCode": "string",        "description": "string",        "unitMeasure": "string",        "quantity": 0,        "price": 0,        "discountType": "AMOUNT",        "discount": 0,        "totalWithoutTaxes": 0      }    ]  }}